<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="style.css">
    <title>Product App</title>
</head>
<body>
    <div id="app">
        <div class="product">
            <div class="product-image">
                <img :src="image"  alt=""/>
            </div>

            <div class="product-info">
                <h1>{{ product }}</h1>
                <p v-if="inStock">In stock</p>
                <p v-else>Out of Stock</p>

                <ul>
                    <li v-for="detail in details">{{ detail }}</li>
                </ul>
                <div v-for="variant in variants" :key="variant.variantId">
                    <p @mouseover="updateProduct(variant.variantImage)">
                        {{ variant.variantColor }}
                    </p>
                </div>

                <button v-on:click="addToCart">Add to cart</button>
                <button @click="removeFromCart">Remove from cart</button>

                <div class="cart">
                    <p>Cart({{ cart }})</p>
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2.5.13/dist/vue.js"></script>
    <script src="main.js"></script>
</body>
</html>